package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.user.MarkerGroupLeader;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface MarkerGroupLeaderRepo extends JpaRepository<MarkerGroupLeader, Long> {

    void deleteByWorkIdAndSubjectAndStageAndGroupId(Long workId, Subject subject, MarkStage stage, Long groupId);

    List<MarkerGroupLeader> findByWorkIdAndSubjectAndStage(Long workId, Subject subject, MarkStage stage);

    List<MarkerGroupLeader> findByWorkIdAndSubjectAndStageAndMarkLeaderId(Long workId, Subject subject, MarkStage stage, Long markLeaderId);

    List<MarkerGroupLeader> findByWorkIdAndSubjectAndStageAndGroupId(Long workId, Subject subject, MarkStage level, Long groupId);

    void deleteByWorkIdAndSubjectAndStage(Long workId, Subject subject, MarkStage stage);
}
