package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.user.MarkerGroup;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Created by zhengmin on 2016/10/6.
 */
public interface MarkerGroupRepo extends JpaRepository<MarkerGroup, Long> {

    List<MarkerGroup> findByWorkIdAndSubjectAndStage(Long workId, Subject subject, MarkStage stage);

    void deleteBySubjectAndWorkId(Subject subject, Long workId);

    void deleteByWorkIdAndSubjectAndStage(Long workId, Subject subject, MarkStage init);
}
