package cn.com.qmth.stmms.ms.core.domain.enums;

/**
 * 数据检查状态
 */
public enum CheckDataStatusEnum {

    /**
     * 初始化
     */
    INIT("未开始"),
    /**
     * 执行中
     */
    RUNNING("执行中"),
    /**
     * 已完成
     */
    FINISH("已完成");

    private String name;

    public String getName() {
        return name;
    }

    CheckDataStatusEnum(String name) {
        this.name = name;
    }
}
