package cn.com.qmth.stmms.ms.core.domain.enums;

/**
 * 检查项
 */
public enum CheckItemEnum {

    /**
     * 所有试卷图片大小均不为0
     */
    PAPER_SIZE("所有试卷图片大小均不为0"),
    /**
     * 校验每张试卷都有分数
     */
    ALL_SCORE("校验每张试卷都有分数"),
    /**
     * 每张试卷分数都在其所属档位分数区间内
     */
    LEVEL_SCORE_MATCH("每张试卷分数都在其所属档位分数区间内"),
    /**
     * 同一考生各科目档位差超过{变量值}
     */
    LEVEL_DIFF("同一考生各科目档位差超过__"),
    /**
     * 同一考生各科目成绩差超过{变量值}
     */
    SCORE_DIFF("同一考生各科目成绩差超过__");

    private String title;

    public String getTitle() {
        return title;
    }

    CheckItemEnum(String title) {
        this.title = title;
    }
}
