package cn.com.qmth.stmms.ms.core.domain.paramsetting;

/**
 * 细分档参数
 */
public class LevelConfig {

    /**
     * 仲裁档位差
     */
    private Integer deviation;

    /**
     * 是否自动打回
     */
    private Integer autoCallback;

    /**
     * 打回累计误差
     */
    private Integer cumulativeError;

    /**
     * 是否过半定档
     */
    private Integer majority;

    /**
     * 自动打回时显示偏差
     */
    private Integer autoCallbackShowDeviation;

    /**
     * 取优原则
     */
    private Integer takeBest;

    /**
     * 阅卷员是否显示所有试卷
     */
    private Integer levelShowAllPaper;

    /**
     * 档位百分比分母
     */
    private Integer propDenominator;

    /**
     * 是否显示标准卷管理
     */
    private Integer showStandardPaperManage;

    /**
     * 是否显示清除当前阅卷数据
     */
    private Integer clearData;

    /**
     * 是否增加粗分档
     */
    private Integer roughLevelEnable;

    /**
     * 是否开启去高去低再加权评卷
     */
    private Integer removeHighAndLow;

    public Integer getDeviation() {
        return deviation;
    }

    public void setDeviation(Integer deviation) {
        this.deviation = deviation;
    }

    public Integer getAutoCallback() {
        return autoCallback;
    }

    public void setAutoCallback(Integer autoCallback) {
        this.autoCallback = autoCallback;
    }

    public Integer getCumulativeError() {
        return cumulativeError;
    }

    public void setCumulativeError(Integer cumulativeError) {
        this.cumulativeError = cumulativeError;
    }

    public Integer getMajority() {
        return majority;
    }

    public void setMajority(Integer majority) {
        this.majority = majority;
    }

    public Integer getAutoCallbackShowDeviation() {
        return autoCallbackShowDeviation;
    }

    public void setAutoCallbackShowDeviation(Integer autoCallbackShowDeviation) {
        this.autoCallbackShowDeviation = autoCallbackShowDeviation;
    }

    public Integer getTakeBest() {
        return takeBest;
    }

    public void setTakeBest(Integer takeBest) {
        this.takeBest = takeBest;
    }

    public Integer getLevelShowAllPaper() {
        return levelShowAllPaper;
    }

    public void setLevelShowAllPaper(Integer levelShowAllPaper) {
        this.levelShowAllPaper = levelShowAllPaper;
    }

    public Integer getPropDenominator() {
        return propDenominator;
    }

    public void setPropDenominator(Integer propDenominator) {
        this.propDenominator = propDenominator;
    }

    public Integer getShowStandardPaperManage() {
        return showStandardPaperManage;
    }

    public void setShowStandardPaperManage(Integer showStandardPaperManage) {
        this.showStandardPaperManage = showStandardPaperManage;
    }

    public Integer getClearData() {
        return clearData;
    }

    public void setClearData(Integer clearData) {
        this.clearData = clearData;
    }

    public Integer getRoughLevelEnable() {
        return roughLevelEnable;
    }

    public void setRoughLevelEnable(Integer roughLevelEnable) {
        this.roughLevelEnable = roughLevelEnable;
    }

    public Integer getRemoveHighAndLow() {
        return removeHighAndLow;
    }

    public void setRemoveHighAndLow(Integer removeHighAndLow) {
        this.removeHighAndLow = removeHighAndLow;
    }
}
