package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.CheckData;
import cn.com.qmth.stmms.ms.core.domain.enums.CheckItemEnum;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface CheckDataRepo extends JpaRepository<CheckData, Long> {

    List<CheckData> findByWorkId(Long workId);

    CheckData findByWorkIdAndCheckItem(Long workId, CheckItemEnum checkItem);
}
